
#include "V_s_lc.h"
#include "sys_stat.h"
/*
* Debug wrapper for the Unix/Posic stat() routine.
*/
d_stat(f,s)
	char*f;
	STat*s;
{	int   v;

	errno = 0;
	v = stat(f,s);
	V5s "stat(\"%s\",%08lX)=%d [Err %d=%s=%s] at %s.",f,s,v,Errinfo,Vtimh D;

	return v;
}

/*
* Debug wrapper for the Unix/Posic  lstat()  routine.   This  is  like
* stat(),  but  for  symbolic  links,  returns  the status of the link
* rather than the file that it points to.  Note that we trust  someone
* to  tell  us  vie  the symbol HAS_lstat whether lstat exists on this
* system.
*/
d_lstat(f,s)
	char*f;
	STat*s;
{	int   v;

	errno = 0;
#if defined(HAS_lstat) && (HAS_lstat > 0)
	v = lstat(f,s);
#else
	V6s "This system doesn't have lstat(), using stat()" D;
	v = d_stat(f,s);
#endif
	V5s "lstat(\"%s\",%08lX)=%d [Err %d=%s=%s] at %s.",f,s,v,Errinfo,Vtimh D;

	return v;
}

