#ifndef Vs_h
#define Vs_h
/*
* This is the "s" V header.  The Vflg['s'] flag  is  used  by  the
* d_*()  routines,  which  are  mostly  system  calls  of  one sort or
* another.   In  particular,  the  "system"  I/O  routines,  d_open(),
* d_read(), d_write() and d_close() use the 's' debug flag.
*/
#ifndef V_h
#include "V.h"
#endif

#define V1s DD('s',1)
#define V2s DD('s',2)
#define V3s DD('s',3)
#define V4s DD('s',4)
#define V5s DD('s',5)
#define V6s DD('s',6)
#define V7s DD('s',7)
#define V8s DD('s',8)
#define V9s DD('s',9)

#define P1s DP('s',1)
#define P2s DP('s',2)
#define P3s DP('s',3)
#define P4s DP('s',4)
#define P5s DP('s',5)
#define P6s DP('s',6)
#define P7s DP('s',7)
#define P8s DP('s',8)
#define P9s DP('s',9)

#define H1s(p,n,m) if(Vflg['s']>=(Vl=1))Hexdnm(p,n,m)
#define H2s(p,n,m) if(Vflg['s']>=(Vl=2))Hexdnm(p,n,m)
#define H3s(p,n,m) if(Vflg['s']>=(Vl=3))Hexdnm(p,n,m)
#define H4s(p,n,m) if(Vflg['s']>=(Vl=4))Hexdnm(p,n,m)
#define H5s(p,n,m) if(Vflg['s']>=(Vl=5))Hexdnm(p,n,m)
#define H6s(p,n,m) if(Vflg['s']>=(Vl=6))Hexdnm(p,n,m)
#define H7s(p,n,m) if(Vflg['s']>=(Vl=7))Hexdnm(p,n,m)
#define H8s(p,n,m) if(Vflg['s']>=(Vl=8))Hexdnm(p,n,m)
#define H9s(p,n,m) if(Vflg['s']>=(Vl=9))Hexdnm(p,n,m)

#endif
