#ifndef sys_if_h
/*
* This header  file  must  find  the  definitions  of  the  ifnet  and
* in_ifaddr  structs,  and anything else related to these structs that
* our code needs.
*/
#ifndef   sys_socket_h
#include "sys_socket.h"
#endif

#if !defined(sys_if_h) && defined(FreeBSD)
#include <net/if.h>
#define sys_if_h
#endif

#if !defined(sys_if_h) && defined(Linux)
#include <net/if.h>
#define sys_if_h
#endif

#if !defined(sys_if_h) && defined(TNV3)
#include "/usr/include/bsd/netinet/if.h"
#define sys_if_h
#endif

#if !defined(sys_if_h) && defined(ESIX4)
#include <netinet/if.h>
#define sys_if_h
#endif

#if !defined(sys_if_h)
static char id_sys_if_h[] = "default";
#include <net/if.h>
#include <netinet/in_var.h>
#define sys_if_h
#endif

#ifndef IP32
#define IP32 unsigned long
#endif
#ifndef SKin
#define SKin struct sockaddr_in
#endif

#endif
